---
title: "Add a bankaccount to a supplier"
slug: "add-a-bankaccount-to-a-supplier"
updated: 2024-09-18T11:05:46Z
published: 2026-02-10T10:27:20Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://www.bloxs.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Add a bankaccount to a supplier

Post/api/v1/relations/suppliers/bankaccounts

Add a new bank account to a supplier.

		
			

**Description**

Add a bank account to an existing supplier. Either reference or externalIdentifier must have a value. Please note that if both identifiers are given, both must match; otherwise, an error message will be generated. It is recommended that the user utilizes only one identifier, with a preference for the reference.

A supplier encompasses all entities from which you receive invoices. For example, the tax authorities or a cleaning company. Also, for instance, the company from which you purchase office supplies.

**Use Case**

The Bloxs user has been informed that one of the suppliers currently active in its portfolio has added a bank account. The Bloxs user can use this endpoint to add the new bank account to the existing supplier in Bloxs.

| Field | Description |
| --- | --- |
| reference | The relationship number within Bloxs. This is unique (per client specific environment) for all relationships (EstateAgents, Organisations, Owners, Persons, Suppliers). The relationship number is generated by the Bloxs system. This field should contain the reference of the supplier to which the bank accounts should be added. |
| externalIdentifier | The unique identifier within the system of the requesting party. This identifier is not generated by the Bloxs system. This field should contain the externalIdentifier of the supplier to which the bank accounts should be added. |
| bankAccountNumber | The bank account number assigned to a bank account. |
| bic | BIC code (Bank Identifier Code). An international standard for identifying banks and financial institutions. It is also known as a SWIFT code, as it is governed by the Society for Worldwide Interbank Financial Telecommunication (SWIFT). A BIC code consists of 8 or 11 characters. The components are: Bank Code (4 characters): Identifies the bank. Country Code(2 characters): Indicates the country in which the bank is located, following the ISO 3166-1 alpha-2 standard. Location Code(2 characters): Specifies the bank's location within the country. Branch Code (3 characters, optional): Identifies a specific branch or office of the bank. |
| isBankAccountNonIBAN | Indicator showing that the bank account number is not an IBAN (International Bank Account Number) account. Bloxs applies a verification process to check if a bank account number is an IBAN. By using this checkbox, you can bypass the verification for non-IBAN numbers. This is relevant for instances such as expats making payments from a non-IBAN account. |
| isPreferredBankAccount | A bank account can be designated as the preferred account. When a new bank account is submitted and marked as preferred, the other bank accounts will be designated as 'other'. Therefore, you do not need the PUT to adjust the other bank accounts. If there is only one bank account, it will automatically be marked as preferred. |

		
		
SecurityHTTPType Bearer

Please enter a valid token

Query parametersreferencestring

The internal identifier of the model (i.e. Reference, Code, Name, depends on model).

externalIdentifierstring

The external API identifier of the model.

Body parameters<select class='api-response-data' aria-label='Media type'><option value='ce2c55e7-4b4d-4099-8b4c-363c46b892f1'>application/json</option>
</select>object  bankAccountNumberstring    RequiredMin length0Max length34
bicstring    RequiredMin length0Max length11
isBankAccountNonIBANboolean    
isPreferredBankAccountboolean    

Responses200

The bank account was added to the supplier

<select class='api-response-data' aria-label='Media type'><option value='9c9280d8-dee0-4ae7-947d-3328f0acbcba'>application/json</option>
</select>object  bankAccountNumberstring    Min length0Max length34
bicstring    Min length0Max length11
isBankAccountNonIBANboolean    
isPreferredBankAccountboolean    

400

The bank account data has validation issues

<select class='api-response-data' aria-label='Media type'><option value='3a78501c-d218-47f8-b16d-b7f0daccda27'>application/json</option>
</select>Expand Allobject  typestring   | null  
titlestring   | null  
traceIdstring   | null  
statusinteger  (int32)    
errorsobject | null  property* Array of string  | null  additionalPropertiesstring
